### Class

# Phosh NetworkAuthManager

#### Description [src]

    final class Phosh.NetworkAuthManager : GObject.Object
    {
      /* No available fields */
    }

Handles the interaction between networkmanager and the auth prompts

Wi-Fi and other credentials are handled with `ShellNetworkAgent` which implements `NMSecretAgentOld` to interface with NetworkManager. When a credential for a connection are requested, a new `PhoshNetworkAuthPrompt` is created, which asks the user various credentials depending on the connection type and details (e.g. access point security method).

For VPN prompts the plugins auth helper is being run and the the list of secrets to request is fed to `PhoshNetworkAuthPrompt`.

TODO: Support more connection types.

#### Ancestors

- GObject

#### Constructors

###### phosh_network_auth_manager_new

No description available.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshNetworkAuthManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.